Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.nio.protocol
Class BufferingHttpServiceHandler

    java.lang.Object
      org.apache.http.nio.protocol.BufferingHttpServiceHandler

All Implemented Interfaces:
  NHttpServiceHandler

Deprecated. (4.2) use `HttpAsyncService`

    @Deprecated
    @Contract(threading=IMMUTABLE_CONDITIONAL)
    public class BufferingHttpServiceHandler

extends Object
implements NHttpServiceHandler

Service protocol handler implementations that provide compatibility with the blocking I/O by storing the full content of HTTP messages in memory. The `HttpRequestHandler.handle(HttpRequest, HttpResponse, HttpContext)` method will fire only when the entire message content has been read into an in-memory buffer. Please note that request processing take place the main I/O thread and therefore individual HTTP request handlers should not block indefinitely.

When using this protocol handler `HttpEntity`'s content can be generated / consumed using standard `InputStream`/ `OutputStream` classes.

IMPORTANT: This protocol handler should be used only when dealing with HTTP messages that are known to be limited in length.

Since:
  4.0

Constructor Summary
`BufferingHttpServiceHandler(HttpProcessor httpProcessor, HttpResponseFactory responseFactory, ConnectionReuseStrategy connStrategy, ByteBufferAllocator allocator, HttpParams params)` Deprecated.
`BufferingHttpServiceHandler(HttpProcessor httpProcessor, HttpResponseFactory responseFactory, ConnectionReuseStrategy connStrategy, HttpParams params)` Deprecated.

Method Summary
`void` | `closed(NHttpServerConnection conn)` Deprecated. Triggered when the connection is closed.
`void` | `connected(NHttpServerConnection conn)` Deprecated. Triggered when a new incoming connection is created.
`void` | `exception(NHttpServerConnection conn, HttpException httpex)` Deprecated. Triggered when an HTTP protocol violation occurs while receiving an HTTP request.
`void` | `exception(NHttpServerConnection conn, IOException ioex)` Deprecated. Triggered when an I/O error occurs while reading from or writing to the underlying channel.
`void` | `inputReady(NHttpServerConnection conn, ContentDecoder decoder)` Deprecated. Triggered when the underlying channel is ready for reading a new portion of the request entity through the corresponding content decoder.
`void` | `outputReady(NHttpServerConnection conn, ContentEncoder encoder)` Deprecated. Triggered when the underlying channel is ready for writing a next portion of the response entity through the corresponding content encoder.
`void` | `requestReceived(NHttpServerConnection conn)` Deprecated. Triggered when a new HTTP request is received.
`void` | `responseReady(NHttpServerConnection conn)` Deprecated. Triggered when the connection is ready to accept a new HTTP response.
`void` | `setEventListener(EventListener eventListener)` Deprecated.
`void` | `setExpectationVerifier(HttpExpectationVerifier expectationVerifier)` Deprecated.
`void` | `setHandlerResolver(HttpRequestHandlerResolver handlerResolver)` Deprecated.
`void` | `timeout(NHttpServerConnection conn)` Deprecated. Triggered when no input is detected on this connection over the maximum period of inactivity.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferingHttpServiceHandler

    public BufferingHttpServiceHandler(HttpProcessor httpProcessor,
                                       HttpResponseFactory responseFactory,
                                       ConnectionReuseStrategy connStrategy,
                                       ByteBufferAllocator allocator,
                                       HttpParams params)

  Deprecated.

### BufferingHttpServiceHandler

    public BufferingHttpServiceHandler(HttpProcessor httpProcessor,
                                       HttpResponseFactory responseFactory,
                                       ConnectionReuseStrategy connStrategy,
                                       HttpParams params)

  Deprecated.

Method Detail

### setEventListener

    public void setEventListener(EventListener eventListener)

  Deprecated.

### setExpectationVerifier

    public void setExpectationVerifier(HttpExpectationVerifier expectationVerifier)

  Deprecated.

### setHandlerResolver

    public void setHandlerResolver(HttpRequestHandlerResolver handlerResolver)

  Deprecated.

### connected

    public void connected(NHttpServerConnection conn)

  Deprecated.
  Description copied from interface: `NHttpServiceHandler`
  Triggered when a new incoming connection is created.

  Specified by:
    `connected` in interface `NHttpServiceHandler`
  Parameters:
    `conn` - new incoming connection HTTP connection.

### closed

    public void closed(NHttpServerConnection conn)

  Deprecated.
  Description copied from interface: `NHttpServiceHandler`
  Triggered when the connection is closed.

  Specified by:
    `closed` in interface `NHttpServiceHandler`
  Parameters:
    `conn` - closed HTTP connection.

### requestReceived

    public void requestReceived(NHttpServerConnection conn)

  Deprecated.
  Description copied from interface: `NHttpServiceHandler`
  Triggered when a new HTTP request is received. The connection passed as a parameter to this method is guaranteed to return a valid HTTP request object.

  If the request received encloses a request entity this method will be followed a series of `NHttpServiceHandler.inputReady(NHttpServerConnection, ContentDecoder)` calls to transfer the request content.

  Specified by:
    `requestReceived` in interface `NHttpServiceHandler`
  Parameters:
    `conn` - HTTP connection that contains a new HTTP request
  See Also:
    `NHttpServerConnection`

### inputReady

    public void inputReady(NHttpServerConnection conn,
                           ContentDecoder decoder)

  Deprecated.
  Description copied from interface: `NHttpServiceHandler`
  Triggered when the underlying channel is ready for reading a new portion of the request entity through the corresponding content decoder.

  If the content consumer is unable to process the incoming content, input event notifications can be temporarily suspended using `IOControl` interface.

  Specified by:
    `inputReady` in interface `NHttpServiceHandler`
  Parameters:
    `conn` - HTTP connection that can produce a new portion of the incoming request content.
    `decoder` - The content decoder to use to read content.
  See Also:
    `NHttpServerConnection`, `ContentDecoder`, `IOControl`

### responseReady

    public void responseReady(NHttpServerConnection conn)

  Deprecated.
  Description copied from interface: `NHttpServiceHandler`
  Triggered when the connection is ready to accept a new HTTP response. The protocol handler does not have to submit a response if it is not ready.

  Specified by:
    `responseReady` in interface `NHttpServiceHandler`
  Parameters:
    `conn` - HTTP connection that contains an HTTP response
  See Also:
    `NHttpServerConnection`

### outputReady

    public void outputReady(NHttpServerConnection conn,
                            ContentEncoder encoder)

  Deprecated.
  Description copied from interface: `NHttpServiceHandler`
  Triggered when the underlying channel is ready for writing a next portion of the response entity through the corresponding content encoder.

  If the content producer is unable to generate the outgoing content, output event notifications can be temporarily suspended using `IOControl` interface.

  Specified by:
    `outputReady` in interface `NHttpServiceHandler`
  Parameters:
    `conn` - HTTP connection that can accommodate a new portion of the outgoing response content.
    `encoder` - The content encoder to use to write content.
  See Also:
    `NHttpServerConnection`, `ContentEncoder`, `IOControl`

### exception

    public void exception(NHttpServerConnection conn,
                          HttpException httpex)

  Deprecated.
  Description copied from interface: `NHttpServiceHandler`
  Triggered when an HTTP protocol violation occurs while receiving an HTTP request.

  Specified by:
    `exception` in interface `NHttpServiceHandler`
  Parameters:
    `conn` - HTTP connection that caused an HTTP protocol violation
    `httpex` - HTTP protocol violation exception

### exception

    public void exception(NHttpServerConnection conn,
                          IOException ioex)

  Deprecated.
  Description copied from interface: `NHttpServiceHandler`
  Triggered when an I/O error occurs while reading from or writing to the underlying channel.

  Specified by:
    `exception` in interface `NHttpServiceHandler`
  Parameters:
    `conn` - HTTP connection that caused an I/O error
    `ioex` - I/O exception

### timeout

    public void timeout(NHttpServerConnection conn)

  Deprecated.
  Description copied from interface: `NHttpServiceHandler`
  Triggered when no input is detected on this connection over the maximum period of inactivity.

  Specified by:
    `timeout` in interface `NHttpServiceHandler`
  Parameters:
    `conn` - HTTP connection that caused timeout condition.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.